Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.map
Class Procedure

    java.lang.Object
      org.objectstyle.cayenne.map.Procedure

All Implemented Interfaces:
  java.io.Serializable, CayenneMapEntry, XMLSerializable

    public class Procedure

extends java.lang.Object
implements CayenneMapEntry, XMLSerializable, java.io.Serializable

A mapping descriptor for a database stored procedure.

Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `callParameters`
`protected java.lang.String` | `catalog`
`protected DataMap` | `dataMap`
`protected java.lang.String` | `name`
`protected boolean` | `returningValue`
`protected java.lang.String` | `schema`

Constructor Summary
`Procedure()` Creates an unnamed procedure object.
`Procedure(java.lang.String name)` Creates a named Procedure object.

Method Summary
`void` | `addCallParameter(ProcedureParameter param)` Adds new call parameter to the stored procedure.
`void` | `clearCallParameters()`
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`java.util.List` | `getCallOutParameters()` Returns a list of OUT and INOUT call parameters.
`java.util.List` | `getCallParameters()` Returns an unmodifiable list of call parameters.
`java.lang.String` | `getCatalog()`
`DataMap` | `getDataMap()`
`java.lang.String` | `getFullyQualifiedName()` Returns procedure name including schema, if present.
`java.lang.String` | `getName()` Returns the name property of this object.
`java.lang.Object` | `getParent()` Returns the parent map.
`ProcedureParameter` | `getResultParam()` Returns parameter describing the return value of the StoredProcedure, or null if procedure does not support return values.
`java.lang.String` | `getSchema()`
`boolean` | `isReturningValue()` Returns `true` if a stored procedure returns a value.
`void` | `removeCallParameter(java.lang.String name)` Removes a named call parameter.
`void` | `setCallParameters(java.util.List parameters)`
`void` | `setCatalog(java.lang.String string)` Sets stored procedure's catalog.
`void` | `setDataMap(DataMap dataMap)` Sets parent DataMap of this entity.
`void` | `setName(java.lang.String name)`
`void` | `setParent(java.lang.Object parent)` Stores the parent map.
`void` | `setReturningValue(boolean returningValue)`
`void` | `setSchema(java.lang.String string)` Sets stored procedure's database schema.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### dataMap

    protected DataMap dataMap

### catalog

    protected java.lang.String catalog

### schema

    protected java.lang.String schema

### returningValue

    protected boolean returningValue

### callParameters

    protected java.util.List callParameters

Constructor Detail

### Procedure

    public Procedure()

  Creates an unnamed procedure object.

### Procedure

    public Procedure(java.lang.String name)

  Creates a named Procedure object.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `CayenneMapEntry`
  Returns the name property of this object.

  Specified by:
    `getName` in interface `CayenneMapEntry`
  Returns:
    name of this entry.

### setName

    public void setName(java.lang.String name)

### getParent

    public java.lang.Object getParent()

  Description copied from interface: `CayenneMapEntry`
  Returns the parent map.

  Specified by:
    `getParent` in interface `CayenneMapEntry`

### setParent

    public void setParent(java.lang.Object parent)

  Description copied from interface: `CayenneMapEntry`
  Stores the parent map.

  Specified by:
    `setParent` in interface `CayenneMapEntry`

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Since:
    1.1

### getFullyQualifiedName

    public java.lang.String getFullyQualifiedName()

  Returns procedure name including schema, if present.

### getDataMap

    public DataMap getDataMap()

  Returns:
    parent DataMap of this entity.

### setDataMap

    public void setDataMap(DataMap dataMap)

  Sets parent DataMap of this entity.

### setCallParameters

    public void setCallParameters(java.util.List parameters)

### addCallParameter

    public void addCallParameter(ProcedureParameter param)

  Adds new call parameter to the stored procedure. Also sets `param`'s parent to be this procedure.

### removeCallParameter

    public void removeCallParameter(java.lang.String name)

  Removes a named call parameter.

### clearCallParameters

    public void clearCallParameters()

### getCallParameters

    public java.util.List getCallParameters()

  Returns an unmodifiable list of call parameters.

### getCallOutParameters

    public java.util.List getCallOutParameters()

  Returns a list of OUT and INOUT call parameters. If procedure has a return value, it will also be included as a call parameter.

### getResultParam

    public ProcedureParameter getResultParam()

  Returns parameter describing the return value of the StoredProcedure, or null if procedure does not support return values. If procedure supports return parameters, its first parameter is always assumed to be a return result.

### isReturningValue

    public boolean isReturningValue()

  Returns `true` if a stored procedure returns a value. The first parameter in a list of parameters will be assumed to be a descriptor of return value.

  Returns:
    boolean

### setReturningValue

    public void setReturningValue(boolean returningValue)

### getCatalog

    public java.lang.String getCatalog()

### getSchema

    public java.lang.String getSchema()

### setCatalog

    public void setCatalog(java.lang.String string)

  Sets stored procedure's catalog.

### setSchema

    public void setSchema(java.lang.String string)

  Sets stored procedure's database schema.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.